yast2-ncurses: NCAlignment Class Reference

Main Page | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members

# NCAlignment Class Reference

`#include <NCAlignment.h>`

Inheritance diagram for NCAlignment:

List of all members.

## Public Member Functions
| NCAlignment (NCWidget *parent, const YWidgetOpt &opt, YAlignmentType halign, YAlignmentType valign)
virtual | ~NCAlignment ()
virtual long | nicesize (YUIDimension dim)
virtual void | setSize (long newwidth, long newheight)
virtual void | moveChild (YWidget *child, long newx, long newy)
virtual void | setEnabling (bool do_bv)
## Protected Member Functions
virtual const char * | location () const
## Private Member Functions
NCAlignment & | operator= (const NCAlignment &)
| NCAlignment (const NCAlignment &)
## Friends
std::ostream & | operator<< (std::ostream &STREAM, const NCAlignment &OBJ)

## Constructor & Destructor Documentation

NCAlignment::NCAlignment | ( | const NCAlignment & |  | ) | `[private]`

NCAlignment::NCAlignment | ( | NCWidget * | parent,
|  | const YWidgetOpt & | opt,
|  | YAlignmentType | halign,
|  | YAlignmentType | valign
| ) |

NCAlignment::~NCAlignment | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual const char* NCAlignment::location | ( |  | ) | const`[inline, protected, virtual]`

| Reimplemented from NCWidget.

void NCAlignment::moveChild | ( | YWidget * | child,
|  | long | newx,
|  | long | newy
| ) | `[virtual]`

| Implements YAlignment.

virtual long NCAlignment::nicesize | ( | YUIDimension | dim | ) | `[inline, virtual]`

| Reimplemented from YContainerWidget.

NCAlignment& NCAlignment::operator= | ( | const NCAlignment & |  | ) | `[private]`

virtual void NCAlignment::setEnabling | ( | bool | do_bv | ) | `[inline, virtual]`

| Pure virtual to make shure every widget implements it. Necessary to make shure that UI requests via YWidget::setEnabling perform, and behave the same way as direct calls to NCWidget::setEnabling. Defaut implementation is provided, and for most derived widgets it's ok to simply use it. Implements NCWidget.

void NCAlignment::setSize | ( | long | newwidth,
|  | long | newheight
| ) | `[virtual]`

| Reimplemented from YAlignment.

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | STREAM,
|  | const NCAlignment & | OBJ
| ) | `[friend]`

The documentation for this class was generated from the following files:

- NCAlignment.h
- NCAlignment.cc